/* LELUYA - MATH_LIB program block */

/* vector product of two given 3D vectors  */

#include "MATH_LIB.h"

struct _3DVector _MATH_LIB_3D_vector_product (struct _3DVector v1, 
					      struct _3DVector v2) {
  struct _3DVector result;

  result.x = v1.y*v2.z - v1.z*v2.y;
  result.y = v1.z*v2.x - v1.x*v2.z;
  result.z = v1.x*v2.y - v1.y*v2.x;

  return result;
}
