/* LELUYA - PATULJAK program block */
/* prototypes of functions which are dealing with the I/O */

#include <stdio.h>
#include <math.h>
#include "../MATH_LIB/MATH_LIB.h"
#include "../MATH_LIB/nrutil.h"
#include "../_install_parameters.h"
#include "../_global_extern_variables.h"
#include "../PESJANEK/PESJANEK.h"
#include "../ZELENJAK/ZELENJAK.h"


#ifndef _PATULJAK_prototypes_
#define _PATULJAK_prototypes_

int _PATULJAK__Read_Input_Data (FILE *GLOBAL_FILE, char Global_File_Name[]);
int _PATULJAK__Search_for_char (FILE *INPUT_FILE, char *SEARCH_CHAR);
int _PATULJAK__Read_Lambda_Grid (FILE *GLOBAL_FILE);
int _PATULJAK__Read_Tau_Total (FILE *GLOBAL_FILE);
int _PATULJAK__Read_Dust_Sigmas(FILE *GLOBAL_FILE,int dust_counter);
int _PATULJAK__Read_Abs_Sca (FILE *INPUT_FILE,double *Absorption,
                                             double *Scattering);
int _PATULJAK__Read_Source_Flux (FILE *GLOBAL_FILE);
int _PATULJAK__Read_Density_Type (FILE *GLOBAL_FILE,int dust_counter);
int _PATULJAK__Read_Temperature (double **Temp_r,     int *N_Temp_r, 
                                double **Temp_theta, int *N_Temp_theta,
                                double ***Temp_Temp);

#endif
