/* LELUYA - PERUNIKA program block */

/* This function destroys an unwanted vertex */

#include "PERUNIKA.h"

int _PERUNIKA_destroy_vertex (struct _vertex_structure *v){

  struct _vertex_triangles   *Trian, *Trian1;

  free_dvector(v->T_dust,0,Max_Dust_Type-1);
  free_dvector(v->T_error,0,Max_Dust_Type-1);
 
  if (v->v1 != NULL) v->v1->v4 = v->v4;
  if (v->v2 != NULL) v->v2->v5 = v->v5;
  if (v->v3 != NULL) v->v3->v6 = v->v6;
  if (v->v4 != NULL) v->v4->v1 = v->v1;
  if (v->v5 != NULL) v->v5->v2 = v->v2;
  if (v->v6 != NULL) v->v6->v3 = v->v3;

  Trian = v->triangles;
  while (Trian!=NULL) {
    Trian1 = Trian->next;
    free (Trian);
    Trian = Trian1;
  }

  if (v->next == v) start_vertex_list = NULL;
  else {
    v->prev->next = v->next;
    v->next->prev = v->prev;
    if (start_vertex_list == v) start_vertex_list = v->prev;
  }

  free (v);
  v = NULL;

  TOTAL_NUMBER_OF_VERTICES--;

  return 0;

}
