/* LELUYA - PERUNIKA program block */
/* Removing given triangular and vertex grids */

#include "PERUNIKA.h"

void _PERUNIKA_destroy_vertex_triangle_list (struct _vertex_structure   *v, 
                                 struct _triangle_structure *t ){

  struct _triangle_structure *old_triangle;
  struct _vertex_structure *old_vertex;
  struct _vertex_triangles   *Trian, *Trian1;
  int lambda_kk;

  old_triangle = t;
  while (old_triangle!=NULL) {
    if (old_triangle->next == old_triangle) t = NULL;
    else {
      old_triangle->prev->next = old_triangle->next;
      old_triangle->next->prev = old_triangle->prev;
      t = old_triangle->prev;
    }
    free(old_triangle);
    old_triangle=t;
  }

  old_vertex = v;
  while (old_vertex!=NULL){
    free_dvector(old_vertex->T_dust,0,Max_Dust_Type-1);
    free_dvector(old_vertex->T_error,0,Max_Dust_Type-1);
    Trian = old_vertex->triangles;
    while (Trian!=NULL) {Trian1=Trian->next;free(Trian);Trian=Trian1;}
    if (old_vertex->next == old_vertex) v = NULL;
    else {
      old_vertex->prev->next = old_vertex->next;
      old_vertex->next->prev = old_vertex->prev;
      v = old_vertex->prev;
    }
    free (old_vertex);
    old_vertex = v;
  }

}
