/* LELUYA - MATH_LIB program block */

/* distance  of point (x0,y0) to the line (x1,y1)-(x2,y2) */

#include "MATH_LIB.h"

double _MATH_LIB_distance_point_to_line (struct _vertex_structure *v0,
                                         struct _vertex_structure *v1,
                                         struct _vertex_structure *v2){

  double d,x0,y0,x1,y1,x2,y2;

  x0 = v0->x; y0 = v0->z;
  x1 = v1->x; y1 = v1->z;
  x2 = v2->x; y2 = v2->z;

  if (x1==x2 && y1==y2) return 0.0;
  x2 -= x1; y2 -= y1;
  d = fabs(x2*(y1-y0)-(x1-x0)*y2);
  d /= sqrt(x2*x2+y2*y2);
 
  return d;
}
