/* LELUYA - MATH_LIB program block */
/* Function for linear interpolation from two given points */

#include <stdio.h>
#include "MATH_LIB.h"

int _MATH_LIB_linear_interpolation(double x1, double y1, double x2, double y2,
                              double x, double *y){
  /* interpolation at the point (x,y) from (x1,y1) and (x2,y2) */
  
  if (x1==x2) return 1;
  
  *y=(y2-y1)*(x-x1)/(x2-x1)+y1;
  return 0;

}
