/* LELUYA - MATH_LIB program block */

/* creates a unit vector in 3D space*/

#include "MATH_LIB.h"

struct _3DVector _MATH_LIB_unit_vector(struct _3DVector p1, struct _3DVector p2){

  struct _3DVector u;
  double d;

  u.x = p2.x-p1.x;
  u.y = p2.y-p1.y;
  u.z = p2.z-p1.z;
  d = sqrt(u.x*u.x+u.y*u.y+u.z*u.z);
  u.x/=d;
  u.y/=d;
  u.z/=d;

  return u;
}
