/* LELUYA - PERUNIKA program block */

/* This function destroys an unwanted triangle */

#include "PERUNIKA.h"

int _PERUNIKA_destroy_triangle (struct _triangle_structure *t){

  struct _vertex_triangles   *vertex_triangle;
  struct _vertex_triangles   *prev_vertex_triangle;

  if (t->next == t) start_triangle_list = NULL;
  else {
    t->prev->next = t->next;
    t->next->prev = t->prev;
    if (start_triangle_list == t) start_triangle_list = t->prev;
  }

  if (t->v1!=NULL) {
    vertex_triangle=t->v1->triangles;
    prev_vertex_triangle=NULL;
    while (vertex_triangle!=NULL){
      if (vertex_triangle->triangle == t)  {
        if (vertex_triangle==t->v1->triangles)
          t->v1->triangles=vertex_triangle->next;
        else 
          prev_vertex_triangle->next = vertex_triangle->next;
        free(vertex_triangle);
        break;
      }
      prev_vertex_triangle=vertex_triangle;
      vertex_triangle=vertex_triangle->next;
    }
  }

  if (t->v2!=NULL) {
    vertex_triangle=t->v2->triangles;
    prev_vertex_triangle=NULL;
    while (vertex_triangle!=NULL){
      if (vertex_triangle->triangle == t)  {       
        if (vertex_triangle==t->v2->triangles)
          t->v2->triangles=vertex_triangle->next;
        else 
          prev_vertex_triangle->next = vertex_triangle->next;
        free(vertex_triangle);
        break;
      }
      prev_vertex_triangle=vertex_triangle;
      vertex_triangle=vertex_triangle->next;
    }
  }

  if (t->v3!=NULL) {
    vertex_triangle=t->v3->triangles;
    prev_vertex_triangle=NULL;
    while (vertex_triangle!=NULL){
      if (vertex_triangle->triangle == t)  {       
        if (vertex_triangle==t->v3->triangles)
          t->v3->triangles=vertex_triangle->next;
        else 
          prev_vertex_triangle->next = vertex_triangle->next;
        free(vertex_triangle);
        break;
      }
      prev_vertex_triangle=vertex_triangle;
      vertex_triangle=vertex_triangle->next;
    }
  }

  free (t);

  TOTAL_NUMBER_OF_TRIANGLES--;

  return 0;

}
