/* LELUYA - ZELENJAK program block */
/* a flux from the central source at some position _y_ */

#include "ZELENJAK.h"

double Total_Source_Flux (int lambda_count, double x, double z, int *err) {
  /* lambda_count = pointer to the wavelength in the lambda grid */
  /* x,z          = coordinates of the point */
  /* err          = error flag */
 
  *err = 0;
  return Source_Flux[lambda_count];

/* IMPORTANT NOTE:
   if you work with a finite size source, use the following method:
   source flux = (point source flux approximation)*(correction integral)
   I still haven't written a function which would calculate the "correction
   integral".
   "point source flux approximation" = Source_Flux[] */


} /* end of the 'Source_Flux' function */
