/* LELUYA - ZELENJAK program block */
/* calculation of the dust albedo */

#include "ZELENJAK.h"

double albedo(double x, double z, int lambda_i, int dust_component, int *err){
  /* 
  x, z     = coordinates of the point where we need the albedo
  lambda_i = lambda grid point
  dust_component = dust component for which we need the albedo
  err      = error flag
  */

  return ( Sigma_Dust_Sca[dust_component][lambda_i] / 
           (Sigma_Dust_Abs[dust_component][lambda_i] +
            Sigma_Dust_Sca[dust_component][lambda_i]) );

}
